Subject: Chipidea usb otg support for IMX/MXS (device functionality)

From: [email-masked] (Marek Vasut)
Date: Tue, 25 Jun 2013 20:40:25 +0200

Hi Peter,

> > No, I don't have this one available right now. I tried both MX23
> > Olinuxino maxi
> > (I just mutilated the board so that I cut traces to the USB devices on
> > the board
> > and routed out USB gadget connector) and a custom MX23 board.
> > 
> > Note that both have working USB peripheral mode in U-Boot too, but the
> > driver in
> > U-Boot is very minimalistic.
> 
> You mean, the larger data transfer with USB peripheral mode is ok at
> u-boot? but it can't work at Linux Kernel?

Yes, but the U-Boot driver is completely different beast.

Best regards,
Marek Vasut